package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.remote.api.path.RemotePathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PlanningRemoteRobotMovePosePlanningImpl implements MqttService{

    @Resource
    private RemotePathApi remotePathApi;

    @Override
    public void analysisMessage(String message) {
        log.info("处理远遥导航的消息 :{}",message);
        remotePathApi.remoteDistanceInformation(message);
    }

}
